package packets;

import packetNetworking.Packet;

/**
 *
 * @author Stian
 */
public class PlayPacket extends Packet {

    private static final long serialVersionUID = 2818308010662209193L;
    /**
     * name of the clip to be played
     */
    public String name;
    /**
     * from time code position
     */
    public String fromTC;
    /**
     * stop time code position
     */
    public String toTC;

    /**
     *
     * @param name
     * @param from
     * @param to
     */
    public PlayPacket(String name, String from, String to) {

        this.name = name;
        this.fromTC = from;
        this.toTC = to;

    }

}
