package SALT.assessment;

/**
 * Provides getters and setters for a XtraInfo.
 * 
 */
public class XtraInfo {

	private String name;
	private String value;
	
	/**
	 * Constructs a XtraInfo with the specified name and value.
	 * @param name
	 * @param value
	 */
	public XtraInfo(String name, String value) {
		this.name = name;
		this.value = value;
	}

	/**
	 * Returns the name of the XtraInfo.
	 * @return
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the name of the XtraInfo.
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Returns the value of the XtraInfo.
	 * @return
	 */
	public String getValue() {
		return value;
	}

	/**
	 * Sets the value of the XtraInfo.
	 * @param value
	 */
	public void setValue(String value) {
		this.value = value;
	}
}
