/**
 * 
 */
package SALT.exceptions;

/**
 * The class WriterException and its subclasses are a form of Throwable that indicates conditions that a reasonable application might want to catch.
 * @see java.lang.Exception
 *
 */
public class WriterException extends Exception {

	/**
	 * Constructs a new exception with null as its detail message.
	 */
	public WriterException() {
		super();
	}

	/**
	 * Constructs a new exception with the specified detail message.
	 * @param message the detail message
	 */
	public WriterException(String message) {
		super(message);
	}

	/**
	 * Constructs a new exception with the specified detail message and cause.
	 * @param message the detail message
	 * @param cause the cause 
	 */
	public WriterException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructs a new exception with the specified cause and a detail message.
	 * @param cause the cause
	 */
	public WriterException(Throwable cause) {
		super(cause);
	}

}
