/**
 * 
 */
package SALT.gui;

import java.awt.GridBagConstraints;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;

import SALT.assessment.Design;
import mediaplayer.Main;

/**
 * An input dialog to enter new trials and items.
 * 
 */
public class TrialItemDialog extends Dialog {

	JPanel panel;
	
	JLabel IDLabel;
	JLabel meaningLabel;
	
	JTextField IDTextField;
	JTextField meaningTextField;

	/**
	 * Constructs a TrialItemDialog.
	 */
	public TrialItemDialog() {
		panel = new JPanel(gridBagLayout);
		IDLabel = new JLabel("ID");
		meaningLabel = new JLabel("Meaning");
		IDTextField = new JTextField(10);
		meaningTextField = new JTextField(10);

		makeGridBagConstraints(0, 0, 1, 1, gridBagConstraints);
		gridBagConstraints.anchor = GridBagConstraints.WEST;
		gridBagLayout.setConstraints(IDLabel, gridBagConstraints);
		panel.add(IDLabel);

		makeGridBagConstraints(1, 0, 1, 1, gridBagConstraints);
		gridBagConstraints.anchor = GridBagConstraints.WEST;
		gridBagLayout.setConstraints(IDTextField, gridBagConstraints);
		panel.add(IDTextField);

		makeGridBagConstraints(0, 1, 1, 1, gridBagConstraints);
		gridBagConstraints.anchor = GridBagConstraints.WEST;
		gridBagLayout.setConstraints(meaningLabel, gridBagConstraints);
		panel.add(meaningLabel);

		makeGridBagConstraints(1, 1, 1, 1, gridBagConstraints);
		gridBagConstraints.anchor = GridBagConstraints.WEST;
		gridBagLayout.setConstraints(meaningTextField, gridBagConstraints);
		panel.add(meaningTextField);
	}

	/**
	 * Displays the TrialItemDialog.
	 * 
	 * @param frame
	 * @param design
	 * @param ID
	 * @param dialogName
	 * @return
	 */
	public String display(JFrame frame, Design design, Integer ID,
			String dialogName) {
		boolean missingInputs = true;
		String temp = new String();

        //Class not used - stian
//		if (ID > 0) {
//			if (dialogName.matches("Trial")) {
//				IDTextField.setText(ID.toString());
//				meaningTextField.setText(design.getTrialIDName(ID));
//                meaningTextField.setText(Main.view.main.playlist.getTrial(ID).getName());
//			} else {
//				IDTextField.setText(ID.toString());
//                meaningTextField.setText(Main.view.main.playlist.getTrial(ID).getName());
//				meaningTextField.setText(design.getItemIDName(ID));
//			}
//		}

//		while (missingInputs == true) {
//			missingInputs = false;
//
//			int choosedOption = JOptionPane.showOptionDialog(frame, panel,
//					dialogName, JOptionPane.DEFAULT_OPTION,
//					JOptionPane.INFORMATION_MESSAGE, null, options, options[0]);
//
//			if (choosedOption == 0) {
//				if (dialogName == "Trial") {
//
//					design.removeTrialIDandName(ID);
//					try {
//						Integer.decode(IDTextField.getText());
//						design.putTrialIDandName(Integer.valueOf(IDTextField
//								.getText()), meaningTextField.getText());
//					} catch (NumberFormatException e) {
//						JOptionPane.showMessageDialog(frame,
//								"Please enter ID numerical!", "Warning!",
//								JOptionPane.ERROR_MESSAGE);
//						IDTextField.setText("");
//						missingInputs = true;
//					}
//
//				} else {
//
//					design.removeItemIDandName(ID);
//					try {
//						Integer.decode(IDTextField.getText());
//						design.putItemIDandName(Integer.valueOf(IDTextField
//								.getText()), meaningTextField.getText());
//					} catch (NumberFormatException e) {
//						JOptionPane.showMessageDialog(frame,
//								"Please enter ID numerical!", "Warning!",
//								JOptionPane.ERROR_MESSAGE);
//						IDTextField.setText("");
//						missingInputs = true;
//					}
//				}
//				temp = IDTextField.getText();
//			}
//
//			else {
//				IDTextField.setText("");
//				meaningTextField.setText("");
//				if (ID > 0) {
//					return ID.toString();
//				} else {
//					return IDTextField.getText();
//				}
//			}
//		}
		IDTextField.setText("");
		meaningTextField.setText("");
		return temp;
	}
}




