package SALT.gui;

import java.awt.GridBagConstraints;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.border.TitledBorder;

/**
 * Shows a link for help about SALT.
 *
 */
public class HelpDialog extends Dialog {
	
	JLabel helpLabel;
	JLabel helpcontentLabel;
	
	JPanel helpPanel;
	
	TitledBorder helpTitle;
		
	/**
	 * Constructs a HelpDialog.
	 */
	public HelpDialog() {
		
		helpPanel = new JPanel(gridBagLayout);
		helpTitle = BorderFactory.createTitledBorder("Link for Help");
		
		helpPanel.setBorder(helpTitle);
		
		helpLabel = new JLabel("<html><p align=right>Website:<br>");
		helpcontentLabel = new JLabel("<html><p align=right>https://imtdb.rz.tu-ilmenau.de/tanga-develop/doku.php<tab><br>");
					
		makeGridBagConstraints(0, 0, 1, 1, gridBagConstraints);
		gridBagConstraints.anchor = GridBagConstraints.EAST;
		gridBagLayout.setConstraints(helpLabel, gridBagConstraints);
		helpPanel.add(helpLabel);

		makeGridBagConstraints(1, 0, 1, 1, gridBagConstraints);
		gridBagConstraints.anchor = GridBagConstraints.WEST;
		gridBagLayout.setConstraints(helpcontentLabel, gridBagConstraints);
		helpPanel.add(helpcontentLabel);
		
		makeGridBagConstraints(0, 1, 1, 1, gridBagConstraints);
		gridBagConstraints.fill = GridBagConstraints.BOTH;
		gridBagLayout.setConstraints(helpPanel, gridBagConstraints);
		dialogPanel.add(helpPanel);	
	}
	
	/**
	 * Displays the HelpDialog.
	 * @param frame
	 */
	public void display(JFrame frame) {
		JOptionPane.showMessageDialog(frame, dialogPanel, "Help", 
				JOptionPane.PLAIN_MESSAGE);
	}
}