package packetNetworking;

import java.io.BufferedInputStream;
import java.io.PrintStream;

/**
 *
 * @author Stian
 */
public abstract class Communicator {
	
	PrintStream[] outs;
	BufferedInputStream[] ins;
	
    /**
     * Sends a message from the communicator
     * Empty method to ensure it can be called, but all communicators may overwrite this method
     * @param command
     */
    public void Talk(Packet command) {
        
    }
	
}
